> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entity balance

> Retrieves balance and details of an entity using their nanoid (te- for team, co- for company, us- for user).



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/balance
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/balance:
    get:
      tags:
        - B2B Balance
      summary: Get entity balance
      description: >-
        Retrieves balance and details of an entity using their nanoid (te- for
        team, co- for company, us- for user).
      parameters:
        - schema:
            type: string
            pattern: ^(te-|co-|us-)
          in: query
          name: nanoid
          required: true
          description: Nanoid of the entity to retrieve.
        - schema:
            type: array
            items:
              type: string
              enum:
                - BTC
                - CAD
                - EUR
                - GBP
                - USD
                - USDC
                - USDT
          in: query
          name: currencies
          required: false
          description: >-
            Optional array of currencies to retrieve balances for. If not
            provided, returns all supported currencies.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      rise_account_address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Rise account address.
                      balances:
                        type: array
                        items:
                          type: object
                          properties:
                            currency:
                              type: string
                              enum:
                                - AED
                                - AUD
                                - CAD
                                - CHF
                                - DKK
                                - EUR
                                - GBP
                                - HKD
                                - JPY
                                - MXN
                                - NOK
                                - PHP
                                - PLN
                                - RON
                                - SEK
                                - SGD
                                - USD
                                - ZAR
                                - CZK
                                - NZD
                                - COP
                              description: Currency code.
                            balance_cents:
                              type: string
                              description: Balance in cents (as string).
                          required:
                            - currency
                            - balance_cents
                          additionalProperties: false
                        description: Array of balances for different currencies.
                    required:
                      - rise_account_address
                      - balances
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````